-- -----------------------------------------------------------------------------
--	$Id: poi_demo.sql,v 1.3 2014/09/05 00:04:50 wolf Exp $
-- -----------------------------------------------------------------------------

CREATE TABLE poi_demo (
	id		INT AUTO_INCREMENT PRIMARY KEY,
	lat		FLOAT NOT NULL,
	lon		FLOAT NOT NULL,
	name		VARCHAR(255) NOT NULL,
	descr		TINYTEXT DEFAULT '',
	color		VARCHAR(15) DEFAULT '',
	likeit		BOOL NULL,
	suggest		BOOL NULL,
	mtime		TIMESTAMP NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
	CONSTRAINT	lat CHECK (lat >= -90.0 AND lat <= 90.0),
	CONSTRAINT	lon CHECK (lon >=-180.0 AND lon <=180.0),
	CONSTRAINT	name CHECK (name <> '')
);

-- -----------------------------------------------------------------------------
--	$Id: poi_demo.sql,v 1.3 2014/09/05 00:04:50 wolf Exp $
-- -----------------------------------------------------------------------------
